com.fasterxml.jackson.core.json

## Class JsonWriteContext

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.core.json.JsonWriteContext

    public class JsonWriteContext
    extends JsonStreamContext

Extension of `JsonStreamContext`, which implements core methods needed, and also exposes more complete API to generator implementation classes.

### Field Summary

Fields
`protected JsonWriteContext` `_child`
`protected String` `_currentName` Name of the field of which value is to be parsed; only used for OBJECT contexts
`protected JsonWriteContext` `_parent`
`static int` `STATUS_EXPECT_NAME`
`static int` `STATUS_EXPECT_VALUE`
`static int` `STATUS_OK_AFTER_COLON`
`static int` `STATUS_OK_AFTER_COMMA`
`static int` `STATUS_OK_AFTER_SPACE`
`static int` `STATUS_OK_AS_IS`

### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

`_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

### Constructor Summary

Constructors
`protected` `JsonWriteContext(int type, JsonWriteContext parent)`

### Method Summary

Methods
`protected void` `appendDesc(StringBuilder sb)`
`JsonWriteContext` `createChildArrayContext()`
`JsonWriteContext` `createChildObjectContext()`
`static JsonWriteContext` `createRootContext()`
`String` `getCurrentName()` Method for accessing name associated with the current location.
`JsonWriteContext` `getParent()` Accessor for finding parent context of this context; will return null for root context.
`String` `toString()` Overridden to provide developer writeable "JsonPath" representation of the context.
`int` `writeFieldName(String name)` Method that writer is to call before it writes a field name.
`int` `writeValue()`

### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

`getCurrentIndex, getEntryCount, getTypeDesc, inArray, inObject, inRoot`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STATUS_OK_AS_IS

    public static final int STATUS_OK_AS_IS

See Also:
  Constant Field Values

#### STATUS_OK_AFTER_COMMA

    public static final int STATUS_OK_AFTER_COMMA

See Also:
  Constant Field Values

#### STATUS_OK_AFTER_COLON

    public static final int STATUS_OK_AFTER_COLON

See Also:
  Constant Field Values

#### STATUS_OK_AFTER_SPACE

    public static final int STATUS_OK_AFTER_SPACE

See Also:
  Constant Field Values

#### STATUS_EXPECT_VALUE

    public static final int STATUS_EXPECT_VALUE

See Also:
  Constant Field Values

#### STATUS_EXPECT_NAME

    public static final int STATUS_EXPECT_NAME

See Also:
  Constant Field Values

#### _parent

    protected final JsonWriteContext _parent

#### _currentName

    protected String _currentName

Name of the field of which value is to be parsed; only used for OBJECT contexts

#### _child

    protected JsonWriteContext _child

### Constructor Detail

#### JsonWriteContext

    protected JsonWriteContext(int type,
                    JsonWriteContext parent)

### Method Detail

#### createRootContext

    public static JsonWriteContext createRootContext()

#### createChildArrayContext

    public final JsonWriteContext createChildArrayContext()

#### createChildObjectContext

    public final JsonWriteContext createChildObjectContext()

#### getParent

    public final JsonWriteContext getParent()

Description copied from class: `JsonStreamContext`
Accessor for finding parent context of this context; will return null for root context.

Specified by:
  `getParent` in class `JsonStreamContext`

#### getCurrentName

    public final String getCurrentName()

Description copied from class: `JsonStreamContext`
Method for accessing name associated with the current location. Non-null for `FIELD_NAME` and value events that directly follow field names; null for root level and array values.

Specified by:
  `getCurrentName` in class `JsonStreamContext`

#### writeFieldName

    public final int writeFieldName(String name)

Method that writer is to call before it writes a field name.

Returns:
  Index of the field entry (0-based)

#### writeValue

    public final int writeValue()

#### appendDesc

    protected final void appendDesc(StringBuilder sb)

#### toString

    public final String toString()

Overridden to provide developer writeable "JsonPath" representation of the context.

Overrides:
  `toString` in class `Object`